Name: synce-kde
Version: 0.9.1
Release: alt3
Summary: KDE Integration of SynCE, kioslave and Tray Icon
License: MIT
Group: Communications
Packager: Mobile Development Team <mobile@packages.altlinux.org>
Url: http://synce.sourceforge.net/synce/kde/
Source0: %name-%version.tar.gz
Source1: raki.desktop
#Patch: synce-kde-0.7.3-alt-configure.patch
Patch: synce-kde-automake.patch
Patch1: synce-kde-iptables.patch
Patch2: synce-kde-0.9.1-Makefile.patch
Patch3: synce-kde-0.9.1-noascii.patch

# Automatically added by buildreq on Thu Jan 26 2006
BuildRequires: fontconfig freetype2 gcc-c++ imake kde-settings kdelibs-devel libICE-devel libSM-devel libX11-devel libXext-devel libXt-devel libarts-devel libdynamite-devel libjpeg-devel liborange-devel libpng-devel libqt3-devel libqt3-settings librapi-devel librra-devel libstdc++-devel libsynce-devel libunshield-devel xml-utils xorg-cf-files xorg-x11-proto-devel zlib-devel

Requires: lib%name = %version-%release, synce-vdccm

%description
This Package is a KDE-Integration of SynCE. It consists of a kio_slave
(RAPIP), a KDE System-Tray Application (RAKI) and an enhanced direct cable
connection manager (VDCCM).

RAPIP: Lets you transparently interact with your PockePC via konqueror.
RAKI: Is a Linux-Incarnation of Activsync. It claims to be better than
       Activesync in future.

%package -n lib%name
Summary: Library for KDE integration of SynCE
Group: Development/C
Requires: kdebase-libkonq

%description -n lib%name
This package contains necessary files to use synchronizer plugins

%package -n lib%name-devel
Summary: Development part of library for KDE integration of SynCE
Group: Development/C

%description -n lib%name-devel
This package contains necessary files to create synchronizer plugins

%prep
%setup -q
##%patch -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1



%build
%__make -f admin/Makefile.common
%configure \
	--enable-shared \
	--disable-static \
	--disable-rpath \
	--with-pic \
	--with-xinerama \
	--enable-final 
#--with-agsync=/path/to/agsync
%make

%install
%makeinstall
%__install -d %buildroot%_man1dir %buildroot%_desktopdir/kde
%__install -m644 *.1 %buildroot%_man1dir/
%__rm -f %buildroot/usr/share/applnk/Utilities/raki.desktop
%__install -m644 %SOURCE1 %buildroot/%_desktopdir/kde

%find_lang %name


%post -n lib%name
%post_ldconfig
%update_menus

%postun -n lib%name
%postun_ldconfig
%clean_menus


# TODO:
# - wrap iptables to enable working NAT?

%files -f %name.lang
%exclude %_bindir/vdccm
%exclude %_man1dir/vdccm.*
%doc AUTHORS ChangeLog NEWS README TODO
%doc %_docdir/HTML/en/*
%_bindir/*
##%_datadir/applnk/*/*
%_desktopdir/*/*
%_datadir/apps/raki/
%_datadir/apps/konqueror/servicemenus/*
%_iconsdir/*/*/*/*.png
%_man1dir/*
##%_menudir/*
%_datadir/mimelnk/application/*
%_datadir/services/*
%_datadir/servicetypes/*

%files -n lib%name
#_libdir/*.so.*
%_libdir/kde3/*.so
%_libdir/kde3/*.la

%files -n lib%name-devel
#_libdir/*.so
%_includedir/*

# TODO:
# - menu file: fix X-KDE-autostart-condition?
#   https://listman.redhat.com/archives/xdg-list/2004-January/msg00095.html

%changelog
* Mon May 21 2007 Eugene V. Horohorin <genix@altlinux.ru> 0.9.1-alt3
- exclude vdccm

* Thu Sep 21 2006 Eugene V. Horohorin <genix@altlinux.ru> 0.9.1-alt2
- synce-kde-ascii path applied (thanks to Led@)

* Tue Mar 14 2006 Eugene V. Horohorin <genix@altlinux.ru> 0.9.1-alt1
- new version (0.9.1)
- fixed build with LDFLAGS="-Wl,--as-needed"
- removed .la->.so replacement

* Thu Jan 26 2006 Eugene V. Horohorin <genix@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Thu Jan 26 2006 Eugene V. Horohorin <genix@altlinux.ru> 0.8.1-alt1
- 0.8.1
- menu file removed, use raki.desktop instead
- changed default path to iptables
- %%postun section fixed
- Url updated

* Wed Apr 27 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.8.0-alt1
- changing Packager field
- original spec belong to Michael Shigorin <mike@altlinux.ru>:
- 0.8.0
- hacked in missing libraries to link
  (many thanks to Alexey Morozov (morozov@) for help!)
- removed lib*.so* from %%files *

* Tue Jun 15 2004 Michael Shigorin <mike@altlinux.ru> 0.7.3-alt1
- patched around faulty librra headers test

* Sun Apr 25 2004 Michael Shigorin <mike@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Wed Dec 17 2003 Michael Shigorin <mike@altlinux.ru> 0.6.1-alt4
- added menu file
- added several missing desktop/protocol files

* Fri Nov 28 2003 Michael Shigorin <mike@altlinux.ru> 0.6.1-alt3
- added missing manpages
- added configure flags

* Fri Nov 28 2003 Michael Shigorin <mike@altlinux.ru> 0.6.1-alt2
- removed %_libdir/*.la

* Sat Nov 08 2003 Michael Shigorin <mike@altlinux.ru> 0.6.1-alt1
- built for ALT Linux

